# Uses of Class
org.apache.lucene.search.similarities.Lambda

Packages that use Lambda
Package
Description
org.apache.lucene.search.similarities
This package contains the various ranking models that can be used in Lucene.

- ## Uses of Lambda in org.apache.lucene.search.similarities

  Subclasses of Lambda in org.apache.lucene.search.similarities
  Modifier and Type
  Class
  Description
  `class`
  `LambdaDF`
  Computes lambda as `docFreq+1 / numberOfDocuments+1`.
  `class`
  `LambdaTTF`
  Computes lambda as `totalTermFreq+1 / numberOfDocuments+1`.
  Fields in org.apache.lucene.search.similarities declared as Lambda
  Modifier and Type
  Field
  Description
  `protected final Lambda`
  IBSimilarity.`lambda`
  The lambda (λw) parameter.
  Methods in org.apache.lucene.search.similarities that return Lambda
  Modifier and Type
  Method
  Description
  `Lambda`
  IBSimilarity.`getLambda()`
  Returns the distribution's lambda parameter
  Constructors in org.apache.lucene.search.similarities with parameters of type Lambda
  Modifier
  Constructor
  Description
  ``
  `IBSimilarity(Distribution distribution, Lambda lambda, Normalization normalization)`
  Creates IBSimilarity from the three components and using default discountOverlaps value.
  ``
  `IBSimilarity(Distribution distribution, Lambda lambda, Normalization normalization, boolean discountOverlaps)`
  Creates IBSimilarity from the three components and with the specified discountOverlaps value.